Skip to main content

Authorize Invoice

Authorize a pending invoice by its unique identifier.

Endpoint​

PUT /invoices/authorize/{id}

Authentication​

X-API-Key (passed in the Authorization header)

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
idstringYesThe unique identifier of the invoice to authorize.

Request Headers​

HeaderValueRequiredDescription
AuthorizationX-API-Key: {{apiKey}}YesX-API-Key for authentication.
Content-Typeapplication/jsonYesThe content type of the request body.

Example Request​

curl -X PUT "https://api.example.com/invoices/authorize/{id}" \
-H "X-API-Key: {{apiKey}}" \
-H "Content-Type: application/json"

Request Schema​

No request body is required for this endpoint.